import { AfterContentInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../services/model.service";
import { StiEditableContent } from "../system/interfaces";
import { StiEditableContentService } from "../services/sti-editable-content.service";
import { StiHorizontalAlignment } from "../system/enums";
import { StiMouseService } from "../services/mouse.service";
import { Subscription } from "rxjs";
export declare class StiEditableContentComponent implements OnInit, AfterContentInit, OnDestroy {
    model: StiModelService;
    editableContentService: StiEditableContentService;
    mouseService: StiMouseService;
    private cdr;
    elementRef: ElementRef;
    editableContent: StiEditableContent;
    displayContent: string;
    required: boolean;
    eParent: any;
    alignment?: StiHorizontalAlignment;
    hideEmpty: boolean;
    active: boolean;
    isTableTotalHeader?: boolean;
    disablePadding?: boolean;
    fromButton?: boolean;
    parentCursor?: string;
    isTableHeader?: boolean;
    mouseUpSubscription: Subscription;
    isInitialize: boolean;
    focused: boolean;
    get cursor(): "default" | "" | "text";
    get showPlaceholder(): boolean;
    hasWordWrap(): boolean;
    get showNonActivePlaceholder(): boolean;
    get placeholderOutline(): "" | "1px dashed rgba(213, 213, 213, 0.8)" | "1px dashed rgba(255, 255, 255, 1)";
    click(): void;
    get width(): string;
    get align(): string;
    constructor(model: StiModelService, editableContentService: StiEditableContentService, mouseService: StiMouseService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    needToUpdate(event: any): void;
    focus(): void;
    blur(): void;
    setContent(innerText: any): void;
    getCharCode(event: any): any;
    disableEnter(event: any): void;
    disableDrag(event: any): void;
    closeAll(element: any): void;
    ngOnInit(): void;
}
